#!/bin/sh
### BEGIN INIT INFO
# Provides:          init for amplifier
# Required-Start:
# Required-Stop:
# Default-Start:     S
# Default-Stop:
# Short-Description: Export gpios and create spidev files 
# Description:       Setup for the amplifier program
### END INIT INFO


DAEMON=/home/root/3010/build_arm/launcher

# set WAKE ON IR high to prevent interfering with buttons
# this has been moved into the kernel
#echo 26 > /sys/class/gpio/export
#echo out > /sys/class/gpio/gpio26/direction
#echo 1 > /sys/class/gpio/gpio26/value

# SPI chip selects
#echo 12 > /sys/class/gpio/export
#echo out > /sys/class/gpio/gpio12/direction
#echo 1 > /sys/class/gpio/gpio12/value

# pwm for display backlight
cd /sys/class/pwm/pwmchip1
echo 0 > export
cd pwm0
echo 100000 > period
echo 1 > enable

# set SLOW SPI pins as outputs for PRU use
echo 60 > /sys/class/gpio/export
echo out > /sys/class/gpio/gpio60/direction
echo 61 > /sys/class/gpio/export
echo out > /sys/class/gpio/gpio61/direction
echo 65 > /sys/class/gpio/export
echo out > /sys/class/gpio/gpio65/direction
echo 66 > /sys/class/gpio/export
echo out > /sys/class/gpio/gpio66/direction
echo 67 > /sys/class/gpio/export
echo out > /sys/class/gpio/gpio67/direction
echo 68 > /sys/class/gpio/export
echo out > /sys/class/gpio/gpio68/direction
echo 69 > /sys/class/gpio/export
echo out > /sys/class/gpio/gpio69/direction

# audio box power
echo 2 > /sys/class/gpio/export
echo in > /sys/class/gpio/gpio2/direction
echo 3 > /sys/class/gpio/export
echo in > /sys/class/gpio/gpio3/direction
echo 49 > /sys/class/gpio/export
echo out > /sys/class/gpio/gpio49/direction


#mknod /dev/input/event0 c 13 64

sync.

mkdir /tmp/amp-logs

#test -x $DAEMON || exit 0

LD_LIBRARY_PATH=/home/root/3010/build_arm start-stop-daemon --start --exec $DAEMON &> /dev/null

#exit(0)


