
require("class")
require("base.artregion")
require("draw.rgbcolor")
require("format.volumestring")

ErrorViewRegion = class(DrawRegion,
                         function(a, name, frameWidth, frameHeight, frameLeftXpos, frameTopYpos, isVisible)
                             DrawRegion.init(a, name, frameWidth, frameHeight, frameLeftXpos, frameTopYpos, isVisible)
                         end
)

function ErrorViewRegion:Draw()

    local offset_for_soft_icons = 0
    
    local r = SDL.newRect(0, 0, screen_width, screen_height)
    local surf = SDL.CreateRGBSurface(SDL.SWSURFACE, screen_width, screen_height - offset_for_soft_icons,
                                      32, 0x000000FF, 0x0000FF00, 0x00FF0000, 0xFF000000)
    SDL.FillRect(surf, r, 0xaa000000)
    SDL.BlitSurface(surf, nil, screen, nil)
    SDL.FreeSurface(surf)
    local current_error = GetPreampSetting():GetMostRecentError() 
    SingleLineText("Amplifier Error: " .. current_error, 56, 0, 0 ,screen_width,  screen_height-iconSizeWidth, 0, "center", 0, false, false)
end

error_view_region = ErrorViewRegion("Error View", screen_width, screen_height - iconSizeHeight, 0, 0, true)
